Cycle Repeat
cycle-repeat
Chart: Cycle Repeat
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
Example Request
https://charts.bitbo.io/api/v1/cycle-repeat/?start_date=2025-05-07
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/cycle-repeat/?latest=true&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/cycle-repeat/"
params = {
"latest": "true",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/cycle-repeat/";
const params = new URLSearchParams({
latest: "true",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/cycle-repeat/?latest=true&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
The API will output the 1458 days before the start date, and the 1458 days after.